mu19ksuba_dbconn {mu19ksuba.db} | R Documentation

## Collect information about the package annotation DB

### Description

Some convenience functions for getting a connection object to (or collecting information about) the package annotation DB.

### Usage

      mu19ksuba_dbconn()
      mu19ksuba_dbfile()
      mu19ksuba_dbschema(file="", show.indices=FALSE)
      mu19ksuba_dbInfo()

### Arguments

`file` | A connection, or a character string naming the file to print to (see the `file` argument of the `cat` function for the details).
`show.indices` | The CREATE INDEX statements are not shown by default. Use `show.indices=TRUE` to get them.

### Details

`mu19ksuba_dbconn` returns a connection object to the package annotation DB. IMPORTANT: Don't call `dbDisconnect` on the connection object returned by `mu19ksuba_dbconn` or you will break all the `AnnDbObj` objects defined in this package!

`mu19ksuba_dbfile` returns the path (character string) to the package annotation DB (this is an SQLite file).

`mu19ksuba_dbschema` prints the schema definition of the package annotation DB.

`mu19ksuba_dbInfo` prints other information about the package annotation DB.

### Value

`mu19ksuba_dbconn`: a DBIConnection object representing an open connection to the package annotation DB.
`mu19ksuba_dbfile`: a character string with the path to the package annotation DB.
`mu19ksuba_dbschema`: none (invisible `NULL`).
`mu19ksuba_dbInfo`: none (invisible `NULL`).

### See Also

`dbGetQuery`, `dbConnect`, `dbconn`, `dbfile`, `dbschema`, `dbInfo`

### Examples

      ## Count the number of rows in the "probes" table:
      dbGetQuery(mu19ksuba_dbconn(), "SELECT COUNT(*) FROM probes")

      ## The connection object returned by mu19ksuba_dbconn() was created with:
      dbConnect(SQLite(), dbname=mu19ksuba_dbfile(), cache_size=64000, synchronous=0)

      mu19ksuba_dbschema()

      mu19ksuba_dbInfo()

[Package mu19ksuba.db version 2.0.2 Index]